<ion-header>
</ion-header>



<ion-content>
  <ion-back-button class="steps-back-button" color="dark" defaultHref="\step2" text=""  icon="arrow-round-back"></ion-back-button>
  <div class="ms-mob-body ms-home">
    <div class="row ms-home-body">
        <div class="ms-home-body-content ms-full-width">
            <p class="ms-home-header">
                {{ vendorType }}
            </p>
            <p class="ms-info">
                <i class="fas fa-exclamation-circle ms-text-teal"></i> tap vendors to view and select packages
            </p>
            <hr/>
            <ion-searchbar class="search-bar" type="text" debounce="500" animated (ionChange)="getItems($event)"></ion-searchbar>
            <div *ngIf="vendors.length > 0">
                <div *ngFor="let vendor of vendors let i = index" [ngClass]="toggleClass()" role="alert"  (click)="selectVendor(vendor)" >
                    <div class="ms-item-icon">
                        <i [ngClass]="toggleIcon()"></i>
                    </div>
                    <div class="ms-item-content">
                        <div>
                            <p>{{ vendor.name }}</p>
                        </div>
                        <p class="ms-info">{{ vendor.address }}</p>
                        <a class="ms-item-content-go">
                            <i class="fas fa-eye"></i>
                        </a>
                    </div>
                </div>
            </div>
        
        </div>
    </div>
</div>

</ion-content>
<ion-footer>
</ion-footer>
